Devuan bug report logs - #85
bluez: missing support for raspberry pi3 bluetooth

Package: bluez; Maintainer for bluez is (unknown); Source for bluez is src:bluez.

Reported by: Gregory Nowak <greg@gregn.net>

Date: Wed, 24 May 2017 23:33:01 UTC

Severity: critical

Tags: jessie

Done: Gregory Nowak <greg@gregn.net>

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: Gregory Nowak <greg@gregn.net>
Subject: bug#85 closed by Gregory Nowak <greg@gregn.net> (bluez: missing
 support for raspberry pi3 bluetooth)
Message-ID: <handler.85.D85.16576015652110.notifdone@bugs.devuan.org>
References: <Ysz90vNQKy5y1Fxn@gregn.net>
 <20170524232803.2424.86564.reportbug@rpitest.lan.lan>
X-Devuan-PR-Message: they-closed 85
X-Devuan-PR-Package: bluez
X-Devuan-PR-Keywords: jessie
Reply-To: 85@bugs.devuan.org
Date: Tue, 12 Jul 2022 04:54:04 +0000
Content-Type: multipart/mixed; boundary="----------=_1657601644-2121-1"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your bug report
which was filed against the bluez package:

#85: bluez: missing support for raspberry pi3 bluetooth

It has been closed by Gregory Nowak <greg@gregn.net>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Gregory Nowak <greg@gregn.net> by
replying to this email.


-- 
85: https://bugs.devuan.org/cgi/bugreport.cgi?bug=85
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: Gregory Nowak <greg@gregn.net>
To: 85-done@bugs.devuan.org
Subject: bluez: missing support for raspberry pi3 bluetooth
Date: Mon, 11 Jul 2022 21:51:30 -0700
Package bluez
Version: 5.55-3.1

The bluez package in devuan Chimaera contains the necessary patches
for the bluetooth on the rpi3 to work out of the box. I don't know
when the patches made it into the bluez package, but I would assume in
Ascii. I can try to track this down if needed.
[Message part 3 (message/rfc822, inline)]
From: Gregory Nowak <greg@gregn.net>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: bluez: missing support for raspberry pi3 bluetooth
Date: Wed, 24 May 2017 16:28:03 -0700
Package: bluez
Version: 5.23-2
Severity: critical

Dear Maintainer,
this is a migration of:
<https://git.devuan.org/sdk/arm-sdk/issues/14>
The bluez package in devuan is missing raspbian's patches necessary to use the built-in bluetooth adapter on the raspberry pi3 (rpi3). The patches are a part of raspbian's source:
<http://archive.raspberrypi.org/debian/pool/main/b/bluez/>
The necessary patches are in debian/patches 0050-0053. They are necessary for the arm64 and armhf architectures, since the rpi3 can use either image. I cannot guarantee that applying them won't break other architectures, so didn't take this farther on my own. The bluez package I'm reporting against installed on this system is devuan's bluez from January 2017 with the necessary patches from raspbian applied. So, it isn't what currently exists in devuan.

It will also be necessary to write an init script to run hciattach, since raspbian's package has a script to do this for systemd only.


-- System Information:

Architecture: aarch64

Kernel: Linux 4.10.0-rc5-v8+ (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages bluez depends on:
ii  dbus          1.8.20-1+devuan1.1
ii  kmod          18-3
ii  libc6         2.19-18+deb8u9
ii  libdbus-1-3   1.8.20-1+devuan1.1
ii  libglib2.0-0  2.42.1-1+b1
ii  libreadline6  6.3-8+b3
ii  libudev1      215-17+deb8u7
ii  lsb-base      4.1+devuan2
ii  udev          215-17+deb8u7

bluez recommends no packages.

bluez suggests no packages.

-- no debconf information

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sat Apr 20 19:39:51 2024;